# How to cite?

If you are using [Cardioception](https://github.com/embodied-computation-group/Cardioception) for your research, we ask you to cite the following paper in the final publication:

* Legrand, N., Nikolova, N., Correa, C., Brændholt, M., Stuckert, A., Kildahl, N., Vejlø, M., Fardo, F., &amp; Allen, M. (2021). The Heart Rate Discrimination Task: A psychophysical method to estimate the accuracy and precision of interoceptive beliefs. Biological Psychology, 108239. <https://doi.org/10.1016/j.biopsycho.2021.108239>

*In BibTeX format:*

```text
@article{LEGRAND2022108239,
title = {The heart rate discrimination task: A psychophysical method to estimate the accuracy and precision of interoceptive beliefs},
journal = {Biological Psychology},
volume = {168},
pages = {108239},
year = {2022},
issn = {0301-0511},
doi = {https://doi.org/10.1016/j.biopsycho.2021.108239},
url = {https://www.sciencedirect.com/science/article/pii/S0301051121002325},
author = {Nicolas Legrand and Niia Nikolova and Camile Correa and Malthe Brændholt and Anna Stuckert and Nanna Kildahl and Melina Vejlø and Francesca Fardo and Micah Allen},
keywords = {Heart rate discrimination, Heartbeat tracking, Interoception, Psychophysics, Metacognition},
abstract = {Interoception - the physiological sense of our inner bodies - has risen to the forefront of psychological and psychiatric research. Much of this research utilizes tasks that attempt to measure the ability to accurately detect cardiac signals. Unfortunately, these approaches are confounded by well-known issues limiting their validity and interpretation. At the core of this controversy is the role of subjective beliefs about the heart rate in confounding measures of interoceptive accuracy. Here, we recast these beliefs as an important part of the causal machinery of interoception, and offer a novel psychophysical “heart rate discrimination“ method to estimate their accuracy and precision. By applying this task in 223 healthy participants, we demonstrate that cardiac interoceptive beliefs are more biased, less precise, and are associated with poorer metacognitive insight relative to an exteroceptive control condition. Our task, provided as an open-source python package, offers a robust approach to quantifying cardiac beliefs.}
}
```

If you are also using [Systole](https://systole-docs.github.io/) to interact with your PPG recording device (this is the default setting in cardioception), and/or to analyze physiological recordings, you might also cite the following reference:

* Legrand et al., (2022). Systole: A python package for cardiac signal synchrony and analysis. Journal of Open Source Software, 7(69), 3832, <https://doi.org/10.21105/joss.03832>

*In BibTeX format:*

```text
@article{Legrand2022,
doi = {10.21105/joss.03832},
url = {https://doi.org/10.21105/joss.03832},
year = {2022},
publisher = {The Open Journal},
volume = {7},
number = {69},
pages = {3832},
author = {Nicolas Legrand and Micah Allen},
title = {Systole: A python package for cardiac signal synchrony and analysis},
journal = {Journal of Open Source Software}
} 
```
